package com.codigoparallevar.minicards.parts.connectors;

import com.codigoparallevar.minicards.types.connectors.RoundConnector;
import com.codigoparallevar.minicards.types.connectors.Wiring.Wire;
import com.codigoparallevar.minicards.types.connectors.input.InputConnector;
import com.codigoparallevar.minicards.types.connectors.output.OutputConnector;
import com.codigoparallevar.minicards.types.wireData.WireDataType;

public interface RoundOutputConnector<
        T1 extends WireDataType,
        T2 extends InputConnector<T1, T2>,
        T3 extends Wire<T1, T2>
        > extends RoundConnector, OutputConnector<T1, T2, T3> {
}
