package com.codigoparallevar.minicards.toolbox;

import com.codigoparallevar.minicards.PartInstantiator;
import com.codigoparallevar.minicards.types.functional.Tuple2;

import java.util.List;

class PartCategory {
    private final String _name;
    private final List<Tuple2<String, PartInstantiator>> _parts;

    public PartCategory(String name, List<Tuple2<String, PartInstantiator>> parts) {
        this._name = name;
        this._parts = parts;
    }

    public String getName() {
        return _name;
    }

    public List<Tuple2<String, PartInstantiator>> getParts() {
        return this._parts;
    }
}
