package com.codigoparallevar.minicards.types.connectors.Wiring;

import com.codigoparallevar.minicards.types.Drawable;
import com.codigoparallevar.minicards.types.Moveable;
import com.codigoparallevar.minicards.types.connectors.input.AnyInputConnector;
import com.codigoparallevar.minicards.types.connectors.output.OutputConnector;
import com.codigoparallevar.minicards.types.wireData.AnySignal;

public class AnyWire extends Wire<AnySignal, AnyInputConnector> implements Moveable, Drawable {
    public AnyWire(OutputConnector dropper, int xInit, int yInit) {
        super(dropper, xInit, yInit);
    }

    public void send(AnySignal signal) {
        if (_attachedTo != null) {
            _attachedTo.send(signal);
        }
    }
}
