package com.codigoparallevar.minicards.types.connectors.Wiring;

import com.codigoparallevar.minicards.types.Drawable;
import com.codigoparallevar.minicards.types.Moveable;
import com.codigoparallevar.minicards.types.connectors.input.StringInputConnector;
import com.codigoparallevar.minicards.types.connectors.output.OutputConnector;
import com.codigoparallevar.minicards.types.wireData.StringSignal;

public class StringWire extends Wire<StringSignal, StringInputConnector> implements Moveable, Drawable {
    public StringWire(OutputConnector dropper, int xInit, int yInit) {
        super(dropper, xInit, yInit);
    }

    public void send(StringSignal signal) {
        if (_attachedTo != null) {
            _attachedTo.send(signal);
        }
    }
}
