package com.programaker.api.data

import com.programaker.api.optGet
import java.util.*

class ProgramakerCustomBlockArgumentValuesReturnInfo(
        val success: Boolean,
        val values: List<ProgramakerCustomBlockArgumentValue>
) {
    companion object {
        @JvmStatic
        fun deserialize(value: HashMap<String,*>): ProgramakerCustomBlockArgumentValuesReturnInfo {
            val _success: Boolean? = value.optGet("success") as Boolean?
            val _result: Object? = value.optGet("result") as Object

            var success = false
            if (_success != null) {
                success = _success
            }

            var result: List<ProgramakerCustomBlockArgumentValue> = Collections.emptyList<ProgramakerCustomBlockArgumentValue>()
            if (_result != null) {
                result = ProgramakerCustomBlockArgumentValue.deserializeList(_result)
            }

            return ProgramakerCustomBlockArgumentValuesReturnInfo(success, result)
        }
    }
}
