package com.codigoparallevar.minicards.types.connectors.Wiring;

import com.codigoparallevar.minicards.types.Drawable;
import com.codigoparallevar.minicards.types.Moveable;
import com.codigoparallevar.minicards.types.connectors.input.ImageInputConnector;
import com.codigoparallevar.minicards.types.connectors.output.OutputConnector;
import com.codigoparallevar.minicards.types.wireData.ImageSignal;

public class ImageWire extends Wire<ImageSignal, ImageInputConnector> implements Moveable, Drawable {
    public ImageWire(OutputConnector dropper, int xInit, int yInit) {
        super(dropper, xInit, yInit);
    }

    public void send(ImageSignal signal) {
        if (_attachedTo != null) {
            _attachedTo.send(signal);
        }
    }
}
