package com.codigoparallevar.minicards.types.connectors.Wiring;

import com.codigoparallevar.minicards.types.Drawable;
import com.codigoparallevar.minicards.types.Moveable;
import com.codigoparallevar.minicards.types.connectors.input.SignalInputConnector;
import com.codigoparallevar.minicards.types.connectors.output.OutputConnector;
import com.codigoparallevar.minicards.types.wireData.Signal;

public class SignalWire extends Wire<Signal, SignalInputConnector> implements Moveable, Drawable {
    public SignalWire(OutputConnector dropper, int xInit, int yInit) {
        super(dropper, xInit, yInit);
    }

    public void send(Signal signal) {
        if (_attachedTo != null) {
            _attachedTo.send(signal);
        }
    }
}
